import { request } from '@utils/http'
export default {
  admestatelist: params => { // 楼盘列表接口
    return request('/api/estate/list', params)
  },
  admestatedetail: params => { // 楼盘详情
    return request('/api/estate/detail', params, 'loading')
  },
  admestatesimple: params => { // 楼盘详情 简版
    return request('/api/estate/simple', params, 'loading')
  },
  admschoollist: params => { // 学校列表接口
    return request('/api/school/list', params)
  },
  admschooldetail: params => { // 学校详情
    return request('/api/school/detail', params, 'loading')
  },
  admschoolmodulelist: params => { // 学校 专题模块
    return request('/api/school/module/list', params)
  },
  schoolareacount: params => { // 学校 区域统计接口
    return request('/api/school/area/count', params, 'loading')
  },
  admoldhouselist: params => { // 二手房列表接口
    return request('/api/oldhouse/list', params)
  },
  admestatemodulelist: params => { // 模块主题列表接口
    return request('/api/estate/module/list', params)
  },
  estatecommentlist: params => { // 评论列表接口
    return request('/api/estate/comment/list', params)
  },
  estatecommentadd: params => { // 我要评论接口
    return request('/api/estate/comment/add', params, 'loading')
  },
  estatecommentzan: params => { // 评论点赞接口
    return request('/api/estate/comment/zan', params)
  },
  estatecommentunzan: params => { // 评论取消赞接口
    return request('/api/estate/comment/unzan', params)
  },
  schoolcommentlist: params => { // 学校 - 评论列表接口
    return request('/api/school/comment/list', params)
  },
  schoolcommentadd: params => { // 学校 - 我要评论接口
    return request('/api/school/comment/add', params, 'loading')
  },
  schoolcommentzan: params => { // 学校 - 评论点赞接口
    return request('/api/school/comment/zan', params)
  },
  schoolcommentunzan: params => { // 学校 - 评论取消赞接口
    return request('/api/school/comment/unzan', params)
  },
  schoolcommentonelevel: params => { // 学校 - 一级评论列表接口
    return request('/api/school/comment/onelevel', params)
  },
  estateonelevellist: params => { // 一级评论列表接口
    return request('/api/estate/comment/onelevel', params)
  },
  estatephotolist: params => { // 楼盘相册接口
    return request('/api/estate/photo/list', params, 'loading')
  },
  apiestatenewslist: params => { // 楼盘动态列表接口
    return request('/api/estate/news/list', params)
  },
  apiestatefollow: params => { // 关注楼盘
    return request('/api/estate/follow', params, 'loading')
  },
  apiestateunfollow: params => { // 取消关注楼盘
    return request('/api/estate/unfollow', params)
  },
  apiestatefollowlist: params => { // 关注楼盘列表
    return request('/api/estate/follow/list', params)
  },
  apiindexsearch: params => { // 主页搜索接口
    return request('/api/index/search', params)
  },
  apiindexsearchkeyword: params => { // 搜索关键字接口
    return request('/api/index/search/keyword', params, 'loading')
  },
  apiranklist: params => { // 排行榜接口
    return request('/api/rank/list', params)
  },
  apiestateperipherydata: params => { // 楼盘周边信息
    return request('/api/estate/periphery/data', params, 'loading')
  },
  apiestateperipheryadd: params => { // 楼盘周边添加
    return request('/api/estate/periphery/add', params)
  },
  apiadvertslist: params => { // 广告列表
    return request('/api/adverts/list', params)
  },
  apiestatelotterylist: params => { // 摇号 - 楼盘列表
    return request('/api/estate/lottery/list', params)
  },
  apiestatelotterydetail: params => { // 摇号 - 楼盘详情
    return request('/api/estate/lottery/detail', params, 'loading')
  },
  apiestatepricelist: params => { // 成交价 - 列表
    return request('/api/estate/price/list', params)
  },
}